Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## profiles
Interface BasicService

All Known Implementing Classes:
  SimulationPanel

public interface BasicService

Il cuore del servizio. Incapsula lo strato sottostante (Bluetooth o qualsiasi altra tecnologia di comunicazione) e fornisce le primitive decessarie agli stati superiori.

Version:
  1.0
Author:
  Lorenzo Moretti

Method Summary
`void` | `bcast(Device dev, Message msg)` Broadcast di un messaggio.
`void` | `deliverMessage(Message msg)` Trasmette un messaggio.
`Device` | `getDevice(java.lang.String id)` Ottiene una periferica nei pressi cercandola per nome.
`java.util.Vector` | `getDevicesInRange(Device d)` Ottiene un'elenco dei dispositivi nei paraggi di della propia perifarica.
`Device` | `getRegisteredListenerDevice()`
`void` | `registerListnerDevice(Device d)` Registra un'oggetto come listener di questo servizio.

Method Detail

### getDevicesInRange

    public java.util.Vector getDevicesInRange(Device d)

  Ottiene un'elenco dei dispositivi nei paraggi di della propia perifarica.

  Parameters:
    `d` - la propria periferica. Se vengono passati riferimenti ad altre periferiche, il comportamento dipende dall'implementazione.
  Returns:
    una lista di Device.

### getDevice

    public Device getDevice(java.lang.String id)

  Ottiene una periferica nei pressi cercandola per nome.

  Parameters:
    `id` - il nome della periferica cercata.
  Returns:
    la periferica cercata, null se non č trovato niente.

### registerListnerDevice

    public void registerListnerDevice(Device d)

  Registra un'oggetto come listener di questo servizio. L'oggetto verrā notificato di tutti i messaggi ricevuti.

  Parameters:
    `d` - il beneficiario del servizio.

### getRegisteredListenerDevice

    public Device getRegisteredListenerDevice()

### deliverMessage

    public void deliverMessage(Message msg)

  Trasmette un messaggio. Il messaggio viene trasmesso al prossimo nodo nella route del presente nel messaggio.

  Parameters:
    `msg` - il messaggio da trasmettere.
  See Also:
    `Message`

### bcast

    public void bcast(Device dev,
                      Message msg)

  Broadcast di un messaggio.

  Parameters:
    `msg` - il messaggio.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD